Package ch.qos.logback.core.util

## Class LocationUtil

- java.lang.Object
- - ch.qos.logback.core.util.LocationUtil

    public class LocationUtil
    extends java.lang.Object

A static utility method that converts a string that describes the location of a resource into a `URL` object.

Author:
  Carl Harris

### Field Summary

Fields
`static java.lang.String` `CLASSPATH_SCHEME` Scheme name for a classpath resource
`static java.lang.String` `SCHEME_PATTERN` Regex pattern for a URL scheme (reference RFC 2396 section 3)

### Constructor Summary

Constructors
`LocationUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.net.URL` `urlForResource​(java.lang.String location)` Converts a string describing the location of a resource into a URL object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SCHEME_PATTERN

    public static final java.lang.String SCHEME_PATTERN

Regex pattern for a URL scheme (reference RFC 2396 section 3)

See Also:
  Constant Field Values

#### CLASSPATH_SCHEME

    public static final java.lang.String CLASSPATH_SCHEME

Scheme name for a classpath resource

See Also:
  Constant Field Values

### Constructor Detail

#### LocationUtil

    public LocationUtil()

### Method Detail

#### urlForResource

    public static java.net.URL urlForResource​(java.lang.String location)
                                       throws java.net.MalformedURLException,
                                              java.io.FileNotFoundException

Converts a string describing the location of a resource into a URL object.

Parameters:
  `location` - String describing the location
Returns:
  URL object that refers to `location`
Throws:
  `java.net.MalformedURLException` - if `location` is not a syntatically valid URL
  `java.io.FileNotFoundException` - if `location` specifies a non-existent classpath resource
  `java.lang.NullPointerException` - if `location` is `null`